import { reporter } from '@openhat/cli-helpers'
import fs from 'fs-extra'
import makePaths from '../lib/paths'

const handler = async ({ cwd }) => {
    const paths = makePaths(cwd)

    const dirsToClean = [paths.oh, paths.buildOutput]

    reporter.info('Cleaning intermediate directories and build output...')
    dirsToClean.forEach((dir) => {
        reporter.print(' * ' + dir)
        fs.removeSync(dir)
    })
}

const command = {
    command: 'clean',
    desc: 'Remove intermediate directories and build output',
    handler,
}

module.exports = command
